<!DOCTYPE html>
<html>

<head>
  <title>Courses CRUD</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  <!-- Data Table-->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>

<body>
  <!-- Vùng header -->
  <div class="container-fluid	">
    <div class="text-center">
      <h2>Danh sách courses</h2>
    </div>
    <div class="form-group">
      <button class="btn btn-success" id="btn-add-courses">Thêm courses</button>
    </div>
  </div>
  <!-- Courses Data Table -->
  <div class="container-fluid">
    <table class="table table-bordered table-striped table-hover" id="courses-table">
      <thead>
        <tr class="text-center">
          <th>Id</th>
          <th>Courses Code</th>
          <th>Courses Name</th>
          <th>Price</th>
          <th>Discount Price</th>
          <th>Duration</th>
          <th>Level</th>
          <th>Cover Image</th>
          <th>Teacher Name</th>
          <th>Teacher Photo</th>
          <th>isPopular</th>
          <th>isTrending</th>
          <th>Action</th>
        </tr>
      </thead>
    </table>
  </div>

  <!-- Vùng Modal -->

  <!-- Create courses modal -->
  <div>
    <div id="create-courses-modal" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Create new courses</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-course-code">Courses Code</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="input-course-code" name="courseCode" placeholder="..." class="form-control"
                    required>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-course-name">Courses Name</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="input-course-name" name="courseName" placeholder="..." class="form-control"
                    required>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-price">Price</label>
                </div>
                <div class="col-sm-3">
                  <input type="number" id="input-price" name="price" placeholder="..." class="form-control" required>
                </div>
                <div class="col-sm-4">
                  <label for="input-discount-price">Discount Price</label>
                </div>
                <div class="col-sm-2">
                  <input type="number" id="input-discount-price" name="discountPrice" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-duration">Duration</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="input-duration" name="duration" placeholder="..." class="form-control"
                    required>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="select-level">Level</label>
                </div>
                <div class="col-sm-9">
                  <select class="form-control" id="select-level">
                    <option value="">Chọn level</option>
                    <option value="Beginner">Beginner</option>
                    <option value="Intermediate">Intermediate</option>
                    <option value="Advanced">Advanced</option>
                  </select>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-cover-image">Cover Image</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="input-cover-image" name="coverImage" placeholder="/images/..."
                    class="form-control" required>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-teacher-name">Teacher Name</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="input-teacher-name" name="teacherName" placeholder="..." class="form-control"
                    required>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="input-teacher-photo">Teacher Photo</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="input-teacher-photo" name="teacherPhoto" placeholder="/images/..."
                    class="form-control" required>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="trending-checkbox">Trending</label>
                </div>
                <div class="col-sm-3">
                  <input type="checkbox" id="isTrending" name="isTrending">
                </div>
                <div class="col-sm-3">
                  <label for="trending-popular">Popular</label>
                </div>
                <div class="col-sm-3">
                  <input type="checkbox" id="isPopular" name="isPopular">
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button class="btn btn-primary" id="btn-create-courses">Insert courses</button>
            <button class="btn btn-secondary" id="btn-create-cancel" data-dismiss="modal">Hủy bỏ</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- Edit courses modal -->
  <div>
    <div id="edit-courses-modal" class="modal fade" tabindex="-1">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Chi tiết courses</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <form>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="edit-course-code">Courses Code</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="edit-course-code" name="courseCode" placeholder="..." class="form-control"
                    required>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="edit-course-name">Courses Name</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="edit-course-name" name="courseName" placeholder="..." class="form-control"
                    required>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="edit-price">Price</label>
                </div>
                <div class="col-sm-3">
                  <input type="number" id="edit-price" name="price" placeholder="..." class="form-control" required>
                </div>
                <div class="col-sm-4">
                  <label for="edit-discount-price">Discount Price</label>
                </div>
                <div class="col-sm-2">
                  <input type="number" id="edit-discount-price" name="discountPrice" placeholder="..."
                    class="form-control">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="edit-duration">Duration</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="edit-duration" name="duration" placeholder="..." class="form-control"
                    required>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="select-edit-level">Level</label>
                </div>
                <div class="col-sm-9">
                  <select class="form-control" id="select-edit-level">
                    <option value="">Chọn level</option>
                    <option value="Beginner">Beginner</option>
                    <option value="Intermediate">Intermediate</option>
                    <option value="Advanced">Advanced</option>
                  </select>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="edit-cover-image">Cover Image</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="edit-cover-image" name="coverImage" placeholder="/images/..."
                    class="form-control" required>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="edit-teacher-name">Teacher Name</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="edit-teacher-name" name="teacherName" placeholder="..." class="form-control"
                    required>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="edit-teacher-photo">Teacher Photo</label>
                </div>
                <div class="col-sm-9">
                  <input type="text" id="edit-teacher-photo" name="teacherPhoto" placeholder="/images/..."
                    class="form-control" required>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-3">
                  <label for="edit-trending-checkbox">Trending</label>
                </div>
                <div class="col-sm-3">
                  <input type="checkbox" id="edit-isTrending" name="isTrending">
                </div>
                <div class="col-sm-3">
                  <label for="edit-trending-popular">Popular</label>
                </div>
                <div class="col-sm-3">
                  <input type="checkbox" id="edit-isPopular" name="isPopular">
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button class="btn btn-primary" id="btn-update-courses">Sửa courses</button>
            <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">Hủy bỏ</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- Delete confirm modal -->
  <div>
    <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Confirm xóa courses</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <label>Bạn có chắc chắn muốn xóa courses này không?</label>
          </div>
          <div class="modal-footer">
            <button class="btn btn-danger" id="btn-confirm-delete-courses">Xác nhận</button>
            <button class="btn btn-secondary" data-dismiss="modal">Hủy bỏ</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script src="CRUD-courses.js"></script>

</body>


</html>